Package com.google.android.exoplayer2.extractor

## Class BinarySearchSeeker.SeekOperationParams

- java.lang.Object
- - com.google.android.exoplayer2.extractor.BinarySearchSeeker.SeekOperationParams

- Enclosing class:
    BinarySearchSeeker

      protected static class BinarySearchSeeker.SeekOperationParams
      extends Object

  Contains parameters for a pending seek operation by `BinarySearchSeeker`.

  This class holds parameters for a binary-search for the `targetTimePosition` in the range [floorPosition, ceilingPosition).

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SeekOperationParams​(long seekTimeUs, long targetTimePosition, long floorTimePosition, long ceilingTimePosition, long floorBytePosition, long ceilingBytePosition, long approxBytesPerFrame)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static long` | `calculateNextSearchBytePosition​(long targetTimePosition, long floorTimePosition, long ceilingTimePosition, long floorBytePosition, long ceilingBytePosition, long approxBytesPerFrame)` | Returns the next position in the stream to search for target frame, given [floorBytePosition, ceilingBytePosition), with corresponding [floorTimePosition, ceilingTimePosition).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeekOperationParams

          protected SeekOperationParams​(long seekTimeUs,
                                        long targetTimePosition,
                                        long floorTimePosition,
                                        long ceilingTimePosition,
                                        long floorBytePosition,
                                        long ceilingBytePosition,
                                        long approxBytesPerFrame)

  - ### Method Detail

    - #### calculateNextSearchBytePosition

          protected static long calculateNextSearchBytePosition​(long targetTimePosition,
                                                                long floorTimePosition,
                                                                long ceilingTimePosition,
                                                                long floorBytePosition,
                                                                long ceilingBytePosition,
                                                                long approxBytesPerFrame)

      Returns the next position in the stream to search for target frame, given [floorBytePosition, ceilingBytePosition), with corresponding [floorTimePosition, ceilingTimePosition).